[19.10 FEAT] Upgrade libdfp 1.0.14

Bug #1836532 reported by bugproxy on 2019-07-15
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
libdfp (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Update to libdfp 1.0.14.

The current version of libdfp is now hosted at a _new_ location
https://github.com/libdfp/libdfp/releases

bugproxy (bugproxy) on 2019-07-15
tags: added: architecture-s39064 bugnameltc-179204 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libdfp (Ubuntu)
Frank Heimes (fheimes) wrote :

Ubuntu currently ships:
 libdfp | 1.0.12-0ubuntu1 | xenial/universe | source
 libdfp | 1.0.13-1 | bionic/universe | source
 libdfp | 1.0.13-1 | cosmic/universe | source
 libdfp | 1.0.13-1 | disco/universe | source
 libdfp | 1.0.13-1 | eoan/universe | source
 libdfp | 1.0.13-2ubuntu1 | eoan-proposed/universe | source

tags: added: universe
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)

------- Comment From <email address hidden> 2019-07-16 12:05 EDT-------
Frederic has been working on the update for Debian, which could help Canonical to also get this feature.

Matthias Klose (doko) wrote :

just an unrelated question: is it possible to build the Python decimal module using this library as a backend?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-07-18 03:31 EDT-------
(In reply to comment #8)
> just an unrelated question: is it possible to build the Python decimal
> module using this library as a backend?

Good question. I don't think that libdfp is used in that context so far but it probably should. We will have a look. Are you aware of any important users of the Python decimal interface?

Dimitri John Ledkov (xnox) wrote :

Blocked on https://github.com/libdfp/libdfp/issues/84

Testcase also fails on Ubuntu Eoan with gcc-9 -O3

Changed in libdfp (Ubuntu):
status: New → Incomplete
information type: Private → Public
Changed in ubuntu-z-systems:
status: Triaged → Incomplete
Changed in libdfp (Ubuntu):
status: Incomplete → In Progress
Changed in ubuntu-z-systems:
status: Incomplete → Fix Released
status: Fix Released → Fix Committed
Changed in libdfp (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdfp - 1.0.14-0ubuntu2

---------------
libdfp (1.0.14-0ubuntu2) eoan; urgency=medium

  * New upstream release LP: #1836532
  * Drop patches applied upstream, keep py3 patch
  * Cherrypick PR#85 to ignore known (harmless) testsuite failures

 -- Dimitri John Ledkov <email address hidden> Thu, 08 Aug 2019 13:08:13 +0100

Changed in libdfp (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2019-08-12
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-13 03:48 EDT-------
IBM Bugzilla status -> closed, Fix Released with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.